Attribute VB_Name = "Products"
'---------------------------------------------------------------
'     AppForge PDB Converter auto-generated code module
'
'     Source Database: 
'     Source Table   : Products
'
'     Num Records    : 20
'
'     PDB Table Name : Products
'          CreatorID : SALE
'          TypeID    : DATA
'
'     Converted Time : 10/14/2001 8:48:05 PM
'
'---------------------------------------------------------------

Option Explicit

' Use these constants for the CreatorID and TypeID
Public Const Products_CreatorID As Long = &H53414C45
Public Const Products_TypeID As Long = &H44415441

' Use this global to store the database handle
Public dbProducts As Long

' Use this enumeration to get access to the converted database Fields
Public Enum tProductsDatabaseFields
	Id_Field = 0
	Name_Field = 1
	Description_Field = 2
	Price_Field = 3
	Inventory_Field = 4
End Enum

Public Type tProductsRecord
	Id As Long
	Name As String
	Description As String
	Price As Single
	Inventory As Long
End Type


Public Function OpenProductsDatabase() As Boolean

	' Open the database
	#If APPFORGE Then
	dbProducts = PDBOpen(Byfilename, "Products", 0, 0, 0, 0, afModeReadWrite)
	#Else
	dbProducts = PDBOpen(Byfilename, App.Path & "\Products", 0, 0, 0, 0, afModeReadWrite)
	#End If

	If dbProducts <> 0 Then
		'We successfully opened the database
		OpenProductsDatabase = True

	Else
		'We failed to open the database
		OpenProductsDatabase = False
		#If APPFORGE Then
		MsgBox "Could not open database - Products", vbExclamation
		#Else
		MsgBox "Could not open database - " + App.Path + "\Products.pdb" + vbCrLf + vbCrLf + "Potential causes are:" + vbCrLf + "1. Database file does not exist" + vbCrLf + "2. The database path in the PDBOpen call is incorrect", vbExclamation
		#End If
	End If

End Function


Public Sub CloseProductsDatabase()

	' Close the database
	PDBClose dbProducts
	dbProducts = 0

End Sub


Public Function ReadProductsRecord(MyRecord As tProductsRecord) As Boolean

	ReadProductsRecord = PDBReadRecord(dbProducts, VarPtr(MyRecord))

End Function


Public Function WriteProductsRecord(MyRecord As tProductsRecord) As Boolean

	WriteProductsRecord = PDBWriteRecord(dbProducts, VarPtr(MyRecord))

End Function
